de.esprit.netsuite.launch

## Class AbstractClientLaunch<G extends ClientConfig,C extends ClientContext>

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<G,C>
  - - de.esprit.netsuite.launch.AbstractClientLaunch<G,C>

- Direct Known Subclasses:
    EspritClientLaunch, RemoteServerShutdownLaunch

      public abstract class AbstractClientLaunch<G extends ClientConfig,C extends ClientContext>
      extends AbstractApplicationLaunch<G,C>

  This class just nails the `ApplicationContext` to a `ClientContext`
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientLaunch(boolean hasGui, G cfg)`
    `AbstractClientLaunch(boolean hasGui, java.lang.String[] args)`
    `AbstractClientLaunch(G cfg)`
    `AbstractClientLaunch(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ApplicationCommandLineParser` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected void` | `doOnMainFrameCreated(C ctx, ZFrame frame)` Overridden to ensure that the command line option -autologin works even if the ClientMainFrame was not started by a LoginFrame.

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createContext, createSplashIcon, doOnContextCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchApplication, launchMainFrame, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractClientLaunch

          public AbstractClientLaunch(G cfg)

    - #### AbstractClientLaunch

          public AbstractClientLaunch(boolean hasGui,
                              G cfg)

    - #### AbstractClientLaunch

          public AbstractClientLaunch(java.lang.String[] args)

    - #### AbstractClientLaunch

          public AbstractClientLaunch(boolean hasGui,
                              java.lang.String[] args)

  - ### Method Detail

    - #### doOnMainFrameCreated

          protected void doOnMainFrameCreated(C ctx,
                                  ZFrame frame)
                                       throws java.lang.Exception

      Overridden to ensure that the command line option -autologin works even if the ClientMainFrame was not started by a LoginFrame.
      Overrides:
        `doOnMainFrameCreated` in class `AbstractApplicationLaunch<G extends ClientConfig,C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### createCommandLineParser

          protected ApplicationCommandLineParser createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Specified by:
        `createCommandLineParser` in class `AbstractApplicationLaunch<G extends ClientConfig,C extends ClientContext>`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.